Package com.android.server.os

# Interface LinphoneTombstoneProtos.SignalOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`

All Known Implementing Classes:
  `LinphoneTombstoneProtos.Signal`, `LinphoneTombstoneProtos.Signal.Builder`

Enclosing class:
  LinphoneTombstoneProtos

public static interface LinphoneTombstoneProtos.SignalOrBuilder extends com.google.protobuf.MessageLiteOrBuilder

## Method Summary

Modifier and Type
Method
Description
`int`
`getCode()`
`int32 code = 3;`
`String`
`getCodeName()`
`string code_name = 4;`
`com.google.protobuf.ByteString`
`getCodeNameBytes()`
`string code_name = 4;`
`long`
`getFaultAddress()`
`uint64 fault_address = 9;`
`LinphoneTombstoneProtos.MemoryDump`
`getFaultAdjacentMetadata()`
Note, may or may not contain the dump of the actual memory contents.
`boolean`
`getHasFaultAddress()`
`bool has_fault_address = 8;`
`boolean`
`getHasSender()`
`bool has_sender = 5;`
`String`
`getName()`
`string name = 2;`
`com.google.protobuf.ByteString`
`getNameBytes()`
`string name = 2;`
`int`
`getNumber()`
`int32 number = 1;`
`int`
`getSenderPid()`
`int32 sender_pid = 7;`
`int`
`getSenderUid()`
`int32 sender_uid = 6;`
`boolean`
`hasFaultAdjacentMetadata()`
Note, may or may not contain the dump of the actual memory contents.

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`getDefaultInstanceForType, isInitialized`

## Method Details

### getNumber

int getNumber()
`int32 number = 1;`

Returns:
  The number.

### getName

String getName()
`string name = 2;`

Returns:
  The name.

### getNameBytes

com.google.protobuf.ByteString getNameBytes()
`string name = 2;`

Returns:
  The bytes for name.

### getCode

int getCode()
`int32 code = 3;`

Returns:
  The code.

### getCodeName

String getCodeName()
`string code_name = 4;`

Returns:
  The codeName.

### getCodeNameBytes

com.google.protobuf.ByteString getCodeNameBytes()
`string code_name = 4;`

Returns:
  The bytes for codeName.

### getHasSender

boolean getHasSender()
`bool has_sender = 5;`

Returns:
  The hasSender.

### getSenderUid

int getSenderUid()
`int32 sender_uid = 6;`

Returns:
  The senderUid.

### getSenderPid

int getSenderPid()
`int32 sender_pid = 7;`

Returns:
  The senderPid.

### getHasFaultAddress

boolean getHasFaultAddress()
`bool has_fault_address = 8;`

Returns:
  The hasFaultAddress.

### getFaultAddress

long getFaultAddress()
`uint64 fault_address = 9;`

Returns:
  The faultAddress.

### hasFaultAdjacentMetadata

boolean hasFaultAdjacentMetadata()

     Note, may or may not contain the dump of the actual memory contents. Currently, on arm64, we
     only include metadata, and not the contents.

`.MemoryDump fault_adjacent_metadata = 10;`

Returns:
  Whether the faultAdjacentMetadata field is set.

### getFaultAdjacentMetadata

LinphoneTombstoneProtos.MemoryDump getFaultAdjacentMetadata()

     Note, may or may not contain the dump of the actual memory contents. Currently, on arm64, we
     only include metadata, and not the contents.

`.MemoryDump fault_adjacent_metadata = 10;`

Returns:
  The faultAdjacentMetadata.